UTMPDUMP(1)

BEZEICHNUNG
utmpdump - UTMP- und WTMP-Dateien im Rohformat ausgeben

ÜBERSICHT
utmpdump [Optionen] [Dateiname]

BESCHREIBUNG
utmpdump ist ein einfaches Programm zum Ausgeben von UTMP- und WTMP-Dateien im Rohformat, so dass diese untersucht werden können. utmpdump liest aus der Standardeingabe, wenn kein Dateiname übergeben wird.

OPTIONEN

-f, --follow
    gibt angehängte Daten aus, wenn die Datei wächst.

-o, --output Datei
    schreibt das Ergebnis in Datei statt in die Standardausgabe.

-r, --reverse
    kehrt den Vorgang um. Die bearbeiteten Anmeldeinformationen werden in die UTMP- oder WTMP-Dateien zurück geschrieben

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

ANMERKUNGEN
utmpdump kann im Falle beschädigter UTMP- oder WTMP-Einträge hilfreich sein. Es kann die Daten in eine ASCII-Datei ausgeben, die Sie bearbeiten können, um die falschen Einträge zu entfernen. Folgender Befehl führt dies aus:

    utmpdump -r < ASCII-Datei > wtmp

Seien Sie gewarnt, utmpdump wurde nur für Debugging-Zwecke geschrieben.

  Dateiformate

Nur die binäre Version von utmp(5) ist standardisiert. Textuelle Auszüge können in der Zukunft inkompatibel werden.

Die Version 2.28 war die letzte, die die Textausgabe mittels des Zeitstempelformats von ctime(3) ausgab. Neuere Auszüge verwenden Millisekundengenauigkeit im Zeitstempelformat von ISO-8601 in der UTC-0-Zeitzone. Eine Umwandlung vom früheren Zeitstempelformat kann in das binäre erfolgen. Allerdings können solche Versuche dazu führen, dass der Zeitstempel aufgrund von Zeitzonen-Versätzen abweicht.

FEHLER
Sie dürfen die Option -r nicht verwenden, da das Format der utmp/wtmp-Dateien stark vom Eingabeformat abhängt. Dieses Werkzeug wurde nicht für normale Verwendung geschrieben, sondern lediglich für Debugging-Zwecke.

AUTOR
Michael Krapp

SIEHE AUCH
last(1), w(1), who(1), utmp(5)

VERFÜGBARKEIT
Der Befehl utmpdump ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.